<?php

namespace ProudNerds\Admin;

use ProudNerds\Trait\Initializable;

class Favicon
{
    use Initializable;

    private function __construct()
    {
        add_action('admin_head', [$this, 'adminFavicon'], 10, 0);
    }

    public function adminFavicon(): void
    {
        echo '<link rel="Shortcut Icon" type="image/x-icon" href="' . get_stylesheet_directory_uri() . '/assets/img/favicon/wp-admin.ico" />'; // NOSONAR
    }
}
